Bug 1732801 - Not all volume groups found at boot (intermittent)
Summary: Not all volume groups found at boot (intermittent)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Teigland
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 11:52 UTC by Tim Waugh
Modified: 2020-04-30 21:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-30 21:28:39 UTC
Type: Bug


Attachments (Terms of Use)
LVM dump from 'good' boot, both VGs seen (176.33 KB, application/gzip)
2019-07-24 11:53 UTC, Tim Waugh
no flags Details
LVM dump from 'bad' boot, both VGs seen (176.55 KB, application/gzip)
2019-07-24 11:54 UTC, Tim Waugh
no flags Details
'journalctl -b -o cat' output from 'good' boot (153.58 KB, text/plain)
2019-07-24 11:57 UTC, Tim Waugh
no flags Details
'journalctl -b -o cat' output from 'bad' boot (158.90 KB, text/plain)
2019-07-24 11:57 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2019-07-24 11:52:31 UTC
Description of problem:
I have two volume groups, but sometimes only one of them is seen on boot. When this happens, dmsetup correctly shows the logical volumes from the "hidden" volume group.

There are 4 disks attached to the system:

/dev/sda: Fedora 30
  /dev/sda1: /boot
  /dev/sda2: LVM PV, the only PV for VG fedora_snoopy

/dev/sdb, /dev/sdc, /dev/sdd: RAID5, LVM PV, only PV for VG fedora-server

In order to simplify the problem I've adjusted the configuration so that only /dev/sda is required for boot.

In case it's relevant, I have encrypted swap configured too. In /etc/crypttab:
cryptswap /dev/mapper/fedora_snoopy-swap /dev/urandom swap

and in /etc/fstab:
/dev/mapper/cryptswap swap swap defaults 0 0

Version-Release number of selected component (if applicable):
lvm2-2.02.183-3.fc30.x86_64
systemd-241-8.git9ef65cb.fc30.x86_64
cryptsetup-2.1.0-3.fc30.x86_64

How reproducible:
Happens often.

Actual results:
# vgs
  VG            #PV #LV #SN Attr   VSize    VFree   
  fedora_snoopy   1   2   0 wz--n- <930.51g <911.66g
# dmsetup ls --tree
fedora--server-docker--registry (253:7)
 └─ (9:127)
fedora_snoopy-root (253:0)
 └─ (8:2)
fedora--server-gpg2 (253:10)
 └─ (9:127)
[...etc...]

Expected results:
# vgs
  VG            #PV #LV #SN Attr   VSize    VFree   
  fedora-server   1  11   0 wz--n-   <1.82t  744.54g
  fedora_snoopy   1   2   0 wz--n- <930.51g <911.66g
# dmsetup ls --tree
fedora--server-docker--registry (253:7)
 └─ (9:127)
fedora_snoopy-root (253:0)
 └─ (8:2)
fedora--server-gpg2 (253:10)
 └─ (9:127)
[...etc...]

Additional info:
I'll attach the output of 'lvmdump -u -l -s' from good and bad boots.

Comment 1 Tim Waugh 2019-07-24 11:53:46 UTC
Created attachment 1593122 [details]
LVM dump from 'good' boot, both VGs seen

Comment 2 Tim Waugh 2019-07-24 11:54:24 UTC
Created attachment 1593131 [details]
LVM dump from 'bad' boot, both VGs seen

Comment 3 Tim Waugh 2019-07-24 11:57:16 UTC
Created attachment 1593132 [details]
'journalctl -b -o cat' output from 'good' boot

Comment 4 Tim Waugh 2019-07-24 11:57:42 UTC
Created attachment 1593133 [details]
'journalctl -b -o cat' output from 'bad' boot

Comment 5 David Teigland 2019-07-24 16:04:30 UTC
We've been seeing a lot of cases like this and they are not all fixed yet.  There have been some fixes that might help if you use a newer version.  It looks like there's a newer version for f31 you might be able to try, but we should be making 2.03 versions of lvm available for fedora, so I'll look into that.

Comment 6 Tim Waugh 2019-07-25 09:58:00 UTC
Thanks.

In case it's relevant: the Fedora 30 disk with the fedora_snoopy VG is SSD, but the RAID with the sometimes-missing fedora-server VG is made of HDDs and so is slower.

Comment 7 Tim Waugh 2019-09-16 10:28:04 UTC
Still seeing this regularly with lvm2-2.02.183-3.fc30.x86_64.

Comment 8 Tim Waugh 2019-11-14 09:07:01 UTC
No longer seeing this with lvm2-2.03.05-2.fc31.x86_64.

Comment 9 Ben Cotton 2020-04-30 20:43:19 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.